Tag Archives:

V2Ray 之科学爱国

为了更好响应科学爱国理性上网的倡导和号召,有关人士一直在孜孜不倦上下求索。GoAgent 已是过去式,Shadowsocks 还是进行时但如今也积重难返蹒跚难行,所以找到了一个新的 V2Ray

零、V2Ray 主要特性

  • 多入口多出口: 一个 V2Ray 进程可并发支持多个入站和出站协议,每个协议可独立工作。
  • 可定制化路由: 入站流量可按配置由不同的出口发出。轻松实现按区域或按域名分流,以达到最优的网络性能。
  • 多协议支持: V2Ray 可同时开启多个协议支持,包括 Socks、HTTP、Shadowsocks、VMess 等。每个协议可单独设置传输载体,比如 TCP、mKCP、WebSocket 等。
  • 隐蔽性: V2Ray 的节点可以伪装成正常的网站(HTTPS),将其流量与正常的网页流量混淆,以避开第三方干扰。
  • 反向代理: 通用的反向代理支持,可实现内网穿透功能。
  • 多平台支持: 原生支持所有常见平台,如 Windows、Mac OS、Linux,并已有第三方支持移动平台。

说新其实也不新了,这东东也面世有四年了。以前 GoAgent 还是免费时代,经常红字绿字;现在 Shadowsocks 是包年的小飞机,也经常失去响应。至于 V2Ray,我想也许是该自己跑服务器了。开始之前需要两个前提:有自己的境外云、有自己的域名。

关于云这里,知名的有 DigitalOcean 和 Vultr,价格没问题,最低每月五美刀,但因为资源被开发过度,IP 被封锁的情况非常严峻。试用了后者,刚新建的服务器,连远程根本都连不了。忐忑之下尝试使用了阿里云。

本次使用了香港的 ECS,系统为 CentOS、方案为网上成熟的 V2Ray+WebSocket+TLS+Ngxin,因为本身具备加密和伪装的特性,防火墙看起来就像是普通的上网行为,能最大限度保护自己的服务器被墙。推荐! Continue reading

AWS 上搭建万能代理

aws

前面有关 SAE 的文章提到番羽土啬的问题,最后思前想后,找到了番羽土啬的最终解决方案:亚马逊的云 AWS / EC2。首先首年免费,功能齐全,只要你能想到。海外天生没有墙的问题,而且如今在速度方面也有口皆碑。那——没有什么能够阻挡,你对自由的向往!!

首先注册个帐号吧,可以用亚马逊的帐号开通一下这个服务。需要信用卡,先扣一美刀,然后电话验证,塔哒。进入后台后,切换右上角的地区看加载速度如何,一般亚洲的会选东京的点。我试过新加波的,速度貌似不太行。确认了地区后,后面创建的实例都是该地区的。

开始一切之前还要生成一个密匙(PEM)命名好了下载到本地找个地方保存好,以后每次 SSH 连上实例都需要此密码文件。下文一般会用到两种实例,默认 Linux 系统的默认用户名是 ec2-user,Ubuntu 的默认用户名为:ubuntu

ssh -i /path/to/YOURNAME.pem ec2-user@YOUR_INSTANCE_IP

接着过滤“免费级别”选项,创建具体的实例(相当于一个个虚拟机)就可以开始出发了。事关围绕这个话题的市面的各种技术手法都可以在其上面实现,根据场景的不同我大概分了四类。 Continue reading

阿里云 ECS 安装 SVN

远在没有之前,每个站长都用过各种虚拟主机租用主机,然后有功能强大的一条龙控制面板。那时候的域名还不需要备案,虽然经常各种不稳定,但折腾起来也不需要什么门槛,倒也别有一番乐趣。

后面用了一段时间的新浪云,免费还有技术级别认证,但慢慢新浪不作死就会死的基因慢慢表露出来,功能跟不上,售后跟不上,条款各种坑。还用过京东云、百度云,也很坑。最后选择了阿里云。

阿里云如今的成就也不是一蹴而就,像早期的 ACE 挺好用,但后来也去掉了,中间依然少不了一番折腾,但总的来说,性能和速度兼备,售后及时给力,价格也算合理。但像后面的主打 ECS,使用还是有一定门槛的,从创建到完全使用起来,百度个十次八次很正常的。

WordPress 的环境为例,默认安装了 ApacheMySQLFTP,用户目录下的 account.logdefault.pass) 可以查看相关服务的目录和相关用户密码等,建议修改密码备份好然后删除该文件。当然,最重要的程序目录:/yjdata/www/www/。

在使用过程中,发现 FTP 还是太机械,所以选择自己架设 SVN,比较麻烦,记录一下。

安装 SVN 服务

useradd svn_user
passwd svn_user
yum -y install subversion
svnadmin create /yjdata/www/svn

Continue reading

阿里云升级PHP7

PHP 7.1

阿里云 CentOS 7.6 默认 PHP 5.5,最新版 WordPress 要求 PHP 5.6+,所以需要升级。目前 7.2 是最新版,为稳定考虑选择了 7.1

首先查看已安装 PHP ,并删除;然后添加一下源,并安装新版,省却下载编译各种折腾。

yum list installed | grep php
yum remove php-common
rpm -Uvh https://mirror.webtatic.com/yum/el7/epel-release.rpm 
rpm -Uvh https://mirror.webtatic.com/yum/el7/webtatic-release.rpm
yum install php71w php71w-opcache php71w-fpm php71w-mysqlnd

Continue reading